IRremoteESP8266

Classes | Public Attributes | List of all members
ArgoProtocolWREM3 Union Reference

Native representation of A/C IR message for WREM-3 remote. More...

`#include <ir_Argo.h>`

Collaboration diagram for ArgoProtocolWREM3:
[legend]

## Classes
struct | Config
struct | Timer

## Public Attributes
uint8_t | raw [kArgoStateLength]
| The state in native IR code form. More...
struct {
uint8_t Pre1:4
uint8_t IrChannel:2
| Preamble: 0b1011 kArgoWrem3Preamble. More...
uint8_t IrCommandType:2
| 0..3 range More...
uint8_t RoomTemp:5
| argoIrMessageType_t More...
uint8_t Mode:3
uint8_t Temp:5
| argoMode_t More...
uint8_t Fan:3
uint8_t Flap:3
| argoFan_t More...
uint8_t Power:1
| SwingV argoFlap_t. More...
uint8_t iFeel:1
uint8_t Night:1
uint8_t Eco:1
uint8_t Max:1
| a.k.a. Turbo More...
uint8_t Filter:1
uint8_t Light:1
uint8_t Post1:6
uint8_t Sum:8
| Unknown, always 0b110000 (TempScale?) More...
}; |
struct {
uint8_t __pad0__:8
uint8_t SensorT:5
uint8_t CheckHi:3
}; |
struct ArgoProtocolWREM3::Timer | timer
struct ArgoProtocolWREM3::Config | config

## Detailed Description

Native representation of A/C IR message for WREM-3 remote.

Note
  The remote sends 4 different IR command types, varying in length and methods of checksum calculation
  - [0b00] Regular A/C command (change operation mode) - 6-byte
  - [0b01] iFeel Temperature report - 2-byte
  - [0b10] Timer command - 9-byte
  - [0b11] Config command - 4-byte
  The 1st 2 structures are unnamed for compat. with `ArgoProtocol` 1st byte definition is a header common across all commands though

## Member Data Documentation

## ◆ @11

struct { ... }

## ◆ @13

struct { ... }

## ◆ __pad0__

uint8_t ArgoProtocolWREM3::__pad0__

## ◆ CheckHi

uint8_t ArgoProtocolWREM3::CheckHi

## ◆ config

struct ArgoProtocolWREM3::Config ArgoProtocolWREM3::config

## ◆ Eco

uint8_t ArgoProtocolWREM3::Eco

## ◆ Fan

uint8_t ArgoProtocolWREM3::Fan

## ◆ Filter

uint8_t ArgoProtocolWREM3::Filter

## ◆ Flap

uint8_t ArgoProtocolWREM3::Flap

argoFan_t

## ◆ iFeel

uint8_t ArgoProtocolWREM3::iFeel

## ◆ IrChannel

uint8_t ArgoProtocolWREM3::IrChannel

Preamble: 0b1011 kArgoWrem3Preamble.

## ◆ IrCommandType

uint8_t ArgoProtocolWREM3::IrCommandType

0..3 range

## ◆ Light

uint8_t ArgoProtocolWREM3::Light

## ◆ Max

uint8_t ArgoProtocolWREM3::Max

a.k.a. Turbo

## ◆ Mode

uint8_t ArgoProtocolWREM3::Mode

## ◆ Night

uint8_t ArgoProtocolWREM3::Night

## ◆ Post1

uint8_t ArgoProtocolWREM3::Post1

## ◆ Power

uint8_t ArgoProtocolWREM3::Power

SwingV argoFlap_t.

## ◆ Pre1

uint8_t ArgoProtocolWREM3::Pre1

## ◆ raw

uint8_t ArgoProtocolWREM3::raw[kArgoStateLength]

The state in native IR code form.

## ◆ RoomTemp

uint8_t ArgoProtocolWREM3::RoomTemp

argoIrMessageType_t

## ◆ SensorT

uint8_t ArgoProtocolWREM3::SensorT

## ◆ Sum

uint8_t ArgoProtocolWREM3::Sum

Unknown, always 0b110000 (TempScale?)

## ◆ Temp

uint8_t ArgoProtocolWREM3::Temp

argoMode_t

## ◆ timer

struct ArgoProtocolWREM3::Timer ArgoProtocolWREM3::timer

The documentation for this union was generated from the following file:

- src/ir_Argo.h